{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "ASR_COMMENTAIRE"; 
            externalType = VARCHAR2; 
            name = asrCommentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            columnName = "ASR_ID"; 
            externalType = NUMBER; 
            name = asrId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ASR_RANG"; 
            externalType = NUMBER; 
            name = asrRang; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            columnName = "ASS_ID_FILS"; 
            externalType = NUMBER; 
            name = assIdFils; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ASS_ID_PERE"; 
            externalType = NUMBER; 
            name = assIdPere; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }
    ); 
    attributesUsedForLocking = (asrId, assIdFils, assIdPere); 
    className = "org.cocktail.fwkcktlpersonne.common.metier.EOAssociationReseau"; 
    classProperties = (
        asrCommentaire, 
        asrRang, 
        dCreation, 
        dModification, 
        toAssociationFils, 
        toAssociationPere
    ); 
    externalName = "GRHUM.ASSOCIATION_RESEAU"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            asrCommentaire, 
            asrRang, 
            dCreation, 
            dModification, 
            toAssociationFils, 
            toAssociationPere
        ); 
        "_javaClientClassName" = "org.cocktail.fwkcktlpersonne.common.metier.EOAssociationReseau"; 
    }; 
    name = "Fwkpers_AssociationReseau"; 
    primaryKeyAttributes = (asrId); 
    relationships = (
        {
            destination = "Fwkpers_Association"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = assId; sourceAttribute = assIdFils; }); 
            name = toAssociationFils; 
        }, 
        {
            destination = "Fwkpers_Association"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = assId; sourceAttribute = assIdPere; }); 
            name = toAssociationPere; 
        }
    ); 
}
